/*
 * Copyright 2020 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.springframework.boot.autoconfigure.http;

import org.springframework.boot.web.servlet.server.Encoding;
import org.springframework.nativex.extension.NativeImageHint;
import org.springframework.nativex.extension.NativeImageConfiguration;
import org.springframework.nativex.extension.TypeInfo;
import org.springframework.nativex.type.AccessBits;
import org.springframework.http.converter.FormHttpMessageConverter;

@NativeImageHint(trigger=HttpMessageConvertersAutoConfiguration.class, typeInfos= {
	@TypeInfo(types= {FormHttpMessageConverter.class}, access = AccessBits.DECLARED_FIELDS),
	@TypeInfo(types= {Encoding.class}, access = AccessBits.DECLARED_CONSTRUCTORS)
})
public class HttpMessageConverterHints implements NativeImageConfiguration {
}
